Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5227 - PCMCIA install fails, modprobe exits with signal 127
Summary: PCMCIA install fails, modprobe exits with signal 127
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-19 15:44 UTC by Hans de Goede
Modified: 2015-01-07 23:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-06 20:11:50 UTC


Attachments (Terms of Use)

Description Hans de Goede 1999-09-19 15:44:47 UTC
PCMCIA-install (6.0.58):
pcmcia network based install fails on my toshiba T2110
notebook a 486dx75 with 12 megs of ram and 340 mb hd, it
recognises both my pcmcia controller and the pcmcia network
card, and then when cardmgr tries to modprobe pcnet_cs.o
modprobe fails on a signal 127, then some more errors and
cardmgr exits.

Here are some logs:
--- VC4 ---
Intel i82365sl B step ISA-to-PCMCIA at port 0x3e0 ofs 0x00,
2 sockets
  hosts opts [0]: none
  hosts opts [1]: none
  ISA irqs (scanned) = 3,4,5,7,9,10,11,12,15 status change
on irq 15
Sep 19 17:19:54 cardmgr[14]: starting version is 3.0.14
Sep 19 17:19:54 cardmgr[14]: watching 2 sockets
<snip ioports probe>
Sep 19 17:19:54 cardmgr[14]: fopen(stabfile) failed: No such
file or directory
Sep 19 17:19:54 cardmgr[14]: initializing socket 0
Sep 19 17:19:54 cardmgr[14]: socket 0: RPTI EP401 Ethernet
Sep 19 17:19:54 cardmgr[14]: executing 'modprobe net/8390.o'
Sep 19 17:19:54 cardmgr[14]: executing 'modprobe pcnet_cs.o'
Sep 19 17:19:54 cardmgr[14]: modprobe exited on signal 127
Sep 19 17:19:54 cardmgr[14]: get dev info on socket 0
failed: Resource temporarily unavailable
Sep 19 17:19:54 cardmgr[14]: fopen(stabfile) failed: No such
file or directory
Sep 19 17:19:54 cardmgr[14]: exiting
---

--- VC3 ---
* Flags are 0x0

* in startPcmcia()
* pcmcia probe returned; |PCI bridge probe: not found
Intel PCIC probe: i82365sl B step found, 2 sockets
|
* need to load i82365
* going to insmod pcmcia_core.o
* going to insmod i82365.o
* going to insmod ds.o
* cardmgr running as pid 14
---

Comment 1 Michael K. Johnson 1999-09-25 03:12:59 UTC
Appears to be fixed in our latest devel sources.

Comment 2 Hans de Goede 1999-09-27 22:27:59 UTC
It now indeeds get past this part.

But then it asks for a driver disk while it recognises my ne2000
pcmcia card fine, so I choose cancel.

Then I can't use ftp because I can't select a proxy and / or sername
passwd like on the networkm install disk ?

So I try using nfs instead, the mount goes ok, and I get into the
second stage install.

Only to fail with a python error when I select upgrade and it is
reading package information to upgrade.

Here's the traceback:
---
Traceback ( innermost last):
  File "/usr/bin/anaconda, line225, in ?
    intf.run(todo, test = test)
  File "/usr/lib/python1.5/site-packages/text.py", line 996 in run
    rc = apply (step[1](), step[2])
  File "/usr/lib/python1.5/site-packages/text.py", line 251 in
__call__
    todo.upgradeFindPackages (root)
  File "/usr/lib/python1.5/site-packages/todo.py", line 571, in
mountFilesystems
    os.mkdir (self.instPath + '/proc')
  OSError: [Errno 17] File exists:
    '/mnt/sysimage/proc'

Comment 3 Hans de Goede 1999-10-06 15:17:59 UTC
The second problem also appears to be solved in RedHat-6.1 final,

close please.


Note You need to log in before you can comment on or make changes to this bug.